from machine import Pin
from machine import PWM


class Motor:
    def __init__(self, dirpin, speedpin):
        self.dirpin = Pin(dirpin, Pin.OUT)
        self.speedpin = PWM(Pin(speedpin))
        
    def stop(self):
        self.dirpin.off()
        self.speedpin.duty(0)
        
    def forward(self, speed):
        self.dirpin.off()
        self.speedpin.duty(speed)
    
    def backward(self, speed):
        self.dirpin.on()
        self.speedpin.duty(1023-speed)
    
    
if __name__ == "__main__":
    left = Motor(26, 25)
    right = Motor(32, 33)
  
    left.forward(2000)
    right.forward(2000)
    try:
        while True:
            pass
    finally:
       left.stop()
       right.stop()